Bug 235570 - .bash_history gets filled because of mc's subshell handling
.bash_history gets filled because of mc's subshell handling
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
6
All Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-07 08:29 EDT by Matthias Hensler
Modified: 2013-07-02 19:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:28:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Hensler 2007-04-07 08:29:43 EDT
Description of problem:
Start mc and change directory. mc will add lines like

 PROMPT_COMMAND='pwd>&7;kill -STOP $$'
 cd "`echo -e '\057root'`"

to the .bash_history

Version-Release number of selected component (if applicable):
mc-4.6.1a-35.fc6 (older ones as well)

How reproducible:
Just use mc and your .bash_history will be filled

Steps to Reproduce:
1. mc
2. cd /
3. exit
  
Actual results:
~/.bash_history gets filled

Expected results:
~/.bash_history should be clean


Additional info:

A simple fix is to export

HISTIGNORE="[ ]*"

to the environment. Since these lines are very annoying it should be considered
to change that behaviour with HISTIGNORE in /etc/profile.d/mc.* or /etc/profile.
Comment 1 Jindrich Novy 2007-04-10 06:44:48 EDT
Also HISTCONTROL=ignoreboth solves this problem. It's caused by .bashrc which is
being processed each time a subshell command is executed. The subshell doesn't
store histories to .bash_history at all in the default .bashrc.
Comment 2 Bug Zapper 2008-04-04 02:48:08 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 15:28:40 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.